last update: Warning: str_replace() expects at least 3 param

Please post your issues and questions about One Page Checkout for Virtuemart 2 to this forum.

last update: Warning: str_replace() expects at least 3 param

Postby info@.....nl » Sat Apr 28, 2018 4:16 pm

hi there
we have updated a client's site: http://www.arph.nl/
and within the order proces, following error can be see:
Warning: str_replace() expects at least 3 parameters, 2 given in /home/users/arphnftp/arph.nl/components/com_onepage/helpers/userfields.php on line 905

can you advise?
thx
info@.....nl
 
Posts: 14
Joined: Sun Jan 20, 2013 3:12 pm

Re: last update: Warning: str_replace() expects at least 3 param

Postby info@.....nl » Tue May 01, 2018 2:54 pm

no solution? :(

i noticed at the END of the page, where the previous (still exhising) error is displayed, the following message can be seen also:

Deprecated: Non-static method OPCmini::printDebugMsgs() should not be called statically in /home/users/arphnftp/arph.nl/components/com_onepage/overrides/virtuemart.cart.view.html.php on line 749
info@.....nl
 
Posts: 14
Joined: Sun Jan 20, 2013 3:12 pm

Re: last update: Warning: str_replace() expects at least 3 param

Postby pwidner » Tue May 01, 2018 11:40 pm

I am also getting this. What needs to be done to fix? Warning: str_replace() expects at least 3 parameters, 2 given in /home/xxx/public_html/components/com_onepage/helpers/userfields.php on line 905
pwidner
 
Posts: 2
Joined: Tue May 01, 2018 11:36 pm

Re: last update: Warning: str_replace() expects at least 3 param

Postby pwidner » Tue May 01, 2018 11:47 pm

I reverted back to previous version 2.0.353 and error is now gone.
pwidner
 
Posts: 2
Joined: Tue May 01, 2018 11:36 pm

Re: last update: Warning: str_replace() expects at least 3 param

Postby admin » Thu May 03, 2018 1:42 pm

hello, i apologize for late response here in forum, i was stuck with working on sherpaan.nl stock system within OPC.

the userfields.php notice is fixed in already release 2.0.361 version.

the deprecated notice will be fixed in 362 version.

i will re-run OPC in full error reporting code for 362 version so there are no deprecated or other notices. our current development error reporting would not allow us to use full error reporting since both virtuemart and joomla gave too many notices by default.

generally we suggest to disable error reporting completely on production sites and once upon a while use our fatal catcher to find out any hidden issues (especially for fatal errors which are the most critical)

best regards, stan, rupostel.com
admin
Site Admin
 
Posts: 2624
Joined: Wed Jan 06, 2010 11:43 pm


Return to One Page Checkout for Virtuemart 2

cron